import { Authorizer } from '../helper/index.js';
class RequestData {
    setAuthorizerCode(payload) {
        payload.authorizer_id = Authorizer.getCodeByName(payload.authorizer);
        delete payload.authorizer;
    }
    generateMerchantUsn() {
        const padStart = (value, size = 2, fill = '0') => {
            return value.toString().padStart(size, fill);
        };
        const date = new Date();
        const year = date.getFullYear().toString().substring(2);
        const month = padStart(date.getMonth() + 1);
        const day = padStart(date.getDate());
        const hours = padStart(date.getHours());
        const minutes = padStart(date.getMinutes());
        const seconds = padStart(date.getSeconds());
        return `${year}${month}${day}${hours}${minutes}${seconds}`;
    }
}
const instance = new RequestData();
export { instance as RequestData };
