## Glossário relativo a `response.result.messageCode`

### Response em caso de sucesso

| Código (response.result.messageCode) | Descrição                                |
| ------------------------------------ | ---------------------------------------- |
| FAIL_PAYMENT                         | Ocorreu um erro na rotina de pagamento   |
| FAIL_PAYMENT_CONFIRM                 | Ocorreu um erro ao confirmar o pagamento |
| FAILURE_TO_STORE_CARD                | Falha ao tokenizar (armazenar) o cartão  |
| PAYMENT_DENIED                       | O pagamento foi negado                   |

### Response em caso de falha

| Código (response.result.messageCode) | Descrição                                                                            |
| ------------------------------------ | ------------------------------------------------------------------------------------ |
| SUCCESS_PAYMENT                      | O pagamento foi realizada com sucesso                                                |
| SUCCESS_STORED_CARD                  | A tokenização (armazenamento) do cartão foi realizada com sucesso                    |
| SUCCESS_PAYMENT_CONFIRM              | A confirmação do pagamento (em caso de confirmação tardia) foi realizada com sucesso |

### Response informativo (httpStatusCode 200)

| Código (response.result.messageCode) | Descrição                                          |
| ------------------------------------ | -------------------------------------------------- |
| TRANSACTION_IN_PROGRESS_OR_FINALIZED | A transação está em progresso ou já foi finalizada |
