import { Gateway } from '../gateway/index.js';
class Card {
    async store(payload) {
        const paymentCompany = Gateway.getPaymentCompany(payload.paymentCompany);
        return paymentCompany.storeCard(payload);
    }
    async verify(payload) {
        const paymentCompany = Gateway.getPaymentCompany(payload.paymentCompany);
        return paymentCompany.verifyCard(payload);
    }
}
const instance = new Card();
export { instance as CardController };
