class LogData {
    obfuscationCard(card) {
        if (card.number) {
            const { number } = card;
            const startDigits = number.substring(0, 4);
            const endDigits = number.substring(12);
            card.number = `${startDigits} **** **** ${endDigits}`;
        }
        delete card.securityCode;
        delete card.security_code;
        return card;
    }
    handle(data) {
        const dataCopy = JSON.parse(JSON.stringify(data));
        delete dataCopy.credentials;
        if (dataCopy.card) {
            this.obfuscationCard(dataCopy.card);
        }
        return dataCopy;
    }
}
const instance = new LogData();
export { instance as LogData };
